Bug 915 - paths don\'t conform to FHS
: paths don\'t conform to FHS
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openssl)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-05-13 16:35 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-05-13 16:35:22
openssl-0.9.6c-alt3 uses /usr/lib/ssl/certs/ for certificates which should be
generated and managed by the adminitrator.

So the right place for them should be somewhere under /var/ or /etc/.
(Otherwise certification management is impossible with /usr mounted read-only.)

Perhaps, /usr/lib/ssl/openssl.cnf is also misplaced because: 

if it is a really used configuration, then it should be placed somewhere under
/etc/, 

or if it is just an example, one should find it in /usr/share/doc/.

---

---
------- Comment #1 From 2002-05-13 16:42:02 -------
After changing the location of the directory with certficates, some programs
may need to be rebuilt.

For example, uw-imap wants to know this location set in a variable at build
time -- I wonder why if it uses libssl which should know the location already.
------- Comment #2 From 2002-05-13 16:42:02 -------
After changing the location of the directory with certficates, some programs
may need to be rebuilt.

For example, uw-imap wants to know this location set in a variable at build
time -- I wonder why if it uses libssl which should know the location already.
------- Comment #3 From 2002-05-13 17:49:03 -------
I have plans to build openssl-0.9.6d soon.
I\'d like to make certs relocation together with this release.
------- Comment #4 From 2002-05-13 17:49:03 -------
I have plans to build openssl-0.9.6d soon.
I\'d like to make certs relocation together with this release.
------- Comment #5 From 2002-09-23 13:30:27 -------
Fixed in openssl-0.9.6g-alt2
------- Comment #6 From 2002-09-23 13:30:27 -------
Fixed in openssl-0.9.6g-alt2